/* global describe, beforeEach, runs, waitsFor */
/* global editor, CmsTestUtility */

describe('Theme', function(){
    'use strict';
    CmsTestUtility.controlSetUp();

    beforeEach(function(){
        var fullExport = false;
        runs(function(){
            window.editor.themeController._theme.bootstrap.googleFonts.families = "Tahoma";
            CmsTestUtility.getPreviewAfterFullExport(function(){fullExport = true;});
        });
        waitsFor(function(){return fullExport;});
        runs(function(){
            var frame = $('iframe');
            editor.mainDocumentBody = $('body');
            editor.documentBody = $(frame[0].contentWindow.document.body);
        });
    });

//    it('debug', function(){
//        debugger;
//    })


});